cURL
curl --request GET \ --url https://us.infisical.com/api/v1/projects/{projectId}/identities/{identityId} \ --header 'Authorization: Bearer <token>'
{ "identity": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "projectId": "<string>", "hasDeleteProtection": false, "activeLockoutAuthMethods": [ "<string>" ], "authMethods": [ "<string>" ], "metadata": [ { "key": "<string>", "value": "<string>", "id": "<string>" } ] } }
Get an identity by ID in a project
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the project
The ID of the machine identity to get details.
Default Response
Show child attributes
Was this page helpful?